Pnmtosgi User Manual(0)

NAME
pnmtosgi - convert a PNM image to a SGI image file

SYNOPSIS
pnmtosgi [-verbatim|-rle] [-imagename Name] [pnmfile]

DESCRIPTION

This program is part of Netpbm(1) .

pnmtosgi reads a PNM image as input and produces an SGI image file as output. The SGI image will be 2-dimensional (1 channel) for PBM and PGM input, and 3-dimensional (3 channels) for PPM.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), pnmtosgi recognizes the following command line options:

-verbatim
    Write an uncompressed file.

-rle (default)
    Write a compressed (run length encoded) file.

-imagename name
    Write the string "name" into the imagename field of the header. The name string is limited to 79 characters. If no name is given, pnmtosgi writes "no name" into this field.

REFERENCES
SGI Image File Format documentation (draft v0.95) by Paul Haeberli (paul@sgi.com). Available via ftp at sgi.com:graphics/SGIIMAGESPEC.

SEE ALSO
pnm(1) , sgitopnm(1)

AUTHOR
Copyright (C) 1994 by Ingo Wilken (Ingo.Wilken@informatik.uni-oldenburg.de)

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pnmtosgi.html